#!/bin/bash

	# if user is not running the command as root
	if [ "$UID" -ne 0 ]; then

		# output message
		echo "Please run the installer with SUDO!"

		# stop script
		exit
	fi

	# output message
	echo -e "\nUninstalling CyberGhost VPN ...\n"

	# output message
	echo -e "Checking for installed packages ..."

	# define installed packages
    requiredPackages=(openvpn iptables wireguard-dkms wireguard-tools)

	# loop through packages
    for package in "${requiredPackages[@]}"; do

		# remove configuration files
		echo -n "Do you want to uninstall the package \"$package\"? [Y/n]: "
		read option

		# if configuration files can be removed
		if [ "$option" == "Y" ] || [ "$option" == "y" ]; then

			# uninstall package
			dnf -y remove "$package" > /dev/null 2>&1

			# output message
			echo -e "The \"$package\" was unistalled ..."
		else

			# output message
			echo -e "Skipping uninstall ..."
		fi
	done

	# output message
	echo -e "Continue ...\n"

	# uninstall application
	cyberghostvpn --uninstall
